Mailinglist Archive: opensuse-updates (98 mails)

< Previous Next >
openSUSE-RU-2015:0443-1: moderate: Recommended update for libsolv, libzypp, zypper
openSUSE Recommended Update: Recommended update for libsolv, libzypp, zypper
______________________________________________________________________________

Announcement ID: openSUSE-RU-2015:0443-1
Rating: moderate
References: #828631 #896224 #909143 #909244 #909772 #911335
#911658
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that has 7 recommended fixes can now be installed.

Description:


The package management stack was updated to fix some bugs.

Changes done in libsolv:
- add product:regflavor attribute [bnc#896224]

- fixes to build with swig 3.0.3

Changes done in libzypp:
- Properly propagate repo variables in service refresh.
- Let $ZYPP_REPO_RELEASEVER overwrite $releasever in .repo files
(bnc#911658)
- Call pool_set_rootdir to properly check for file conflicts.
- Use xgettext --boost to support boost-format (%N%)

- Parse and offer productRegisterFlavor attribute (bnc#896224)

- Improve conflict message for locked packages (bnc#828631)
- Fix broken de-escaping in str::splitEscaped (bnc#909772)
- cleanup loging

- CheckAccessDeleted: Filter PIDs running in a container (bnc#909143)

Changes done in zypper:
- New global option --releasever: Set the value of the $releasever
variable in all .repo files. This can be used to switch to new
distribution repositories when performing a distribution upgrade.
(bnc#911658)
- BuildRequires: libzypp-devel >= 14.34.0
- Clarify legacy warning (bnc#911335)

- info: show new product:registerflavor attribute (bnc#896224)

- Enhance 'Digest verification failed' message (FATE#315008)
- Enhance message text when skipping repos due to an error (bnc#909244)
- zypper.conf: fix wrong default mentioned in comment
- zypper-log(8): Update man page


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-205=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libsolv-debugsource-0.6.8-6.1
libsolv-demo-0.6.8-6.1
libsolv-demo-debuginfo-0.6.8-6.1
libsolv-devel-0.6.8-6.1
libsolv-devel-debuginfo-0.6.8-6.1
libsolv-tools-0.6.8-6.1
libsolv-tools-debuginfo-0.6.8-6.1
libzypp-14.36.0-18.1
libzypp-debuginfo-14.36.0-18.1
libzypp-debugsource-14.36.0-18.1
libzypp-devel-14.36.0-18.1
libzypp-devel-doc-14.36.0-18.1
perl-solv-0.6.8-6.1
perl-solv-debuginfo-0.6.8-6.1
python-solv-0.6.8-6.1
python-solv-debuginfo-0.6.8-6.1
ruby-solv-0.6.8-6.1
ruby-solv-debuginfo-0.6.8-6.1
zypper-1.11.22-15.1
zypper-debuginfo-1.11.22-15.1
zypper-debugsource-1.11.22-15.1

- openSUSE 13.2 (noarch):

zypper-aptitude-1.11.22-15.1
zypper-log-1.11.22-15.1


References:

https://bugzilla.suse.com/828631
https://bugzilla.suse.com/896224
https://bugzilla.suse.com/909143
https://bugzilla.suse.com/909244
https://bugzilla.suse.com/909772
https://bugzilla.suse.com/911335
https://bugzilla.suse.com/911658


< Previous Next >
This Thread
  • No further messages